# class ActiveSupport::InheritableOptions

### Public Class Methods

new(parent = nil) click to toggle source

    # File lib/active_support/ordered_options.rb, line 46
    def initialize(parent = nil)
      if parent.kind_of?(OrderedOptions)
        # use the faster _get when dealing with OrderedOptions
        super() { |h,k| parent._get(k) }
      elsif parent
        super() { |h,k| parent[k] }
      else
        super()
      end
    end

### Public Instance Methods

inheritable_copy() click to toggle source

    # File lib/active_support/ordered_options.rb, line 57
    def inheritable_copy
      self.class.new(self)
    end